package ejbs;

import javax.annotation.Resource;
import javax.ejb.Stateless;

import specexamples.Chapter8MySession;

@Stateless
public class EchoBeanWithDependencies implements Echo {
	
	private Chapter8MySession chapter8;
	
	private Chapter8MySession secondChapter8;


	public Chapter8MySession getSecondChapter8() {
		return secondChapter8;
	}


	@Resource(name="chapter8_2")
	public void setSecondChapter8(Chapter8MySession secondChapter8) {
		this.secondChapter8 = secondChapter8;
	}


	public Chapter8MySession getChapter8() {
		return chapter8;
	}


	@Resource
	public void setChapter8(Chapter8MySession chapter8) {
		this.chapter8 = chapter8;
	}


	public Object echo(Object o) throws Exception {
		if (o  instanceof Exception) {
			throw (Exception) o;
		}
		return o;
	}

}
