/**
 * 
 */
package org.springframework.jee.transaction;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.ejb.TransactionManagement;
import javax.ejb.TransactionManagementType;

/**
 * @author Costin Leau
 *
 */
@Stateless
@TransactionManagement(TransactionManagementType.BEAN)
public class BeanManagedSessionBean extends DelegateStatelessBean {

	@Override
	@TransactionAttribute(TransactionAttributeType.NEVER)
	public void simpleMethod() {
		super.simpleMethod();
	}
	
}
