package sample;

import javax.annotation.Resource;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;
import javax.transaction.UserTransaction;

@Stateless
public class ExposeInjectedBean implements ExposeInjected {
	
	@Resource
	private SessionContext sessionContext;
	
	@Resource
	private UserTransaction utx;

	public SessionContext getSessionContext() {
		return this.sessionContext;
	}

	public UserTransaction getUserTransaction() {
		return this.utx;
	}

	public Object lookup(String name) {
		return sessionContext.lookup(name);
	}
	
	public int selfInvoke(int value) {
//		if (value > 0){
//			return ((ExposeInjected) sessionContext.getEJBLocalObject()).selfInvoke(value - 1);
//		}
//		else {
//			return 0;
//		}
		throw new UnsupportedOperationException();
	}

}
