package sample;

import javax.annotation.PostConstruct;
import javax.ejb.Stateless;

@Stateless
public class PostConstructBean implements IPostConstruct {
	
	private boolean postConstructCalled;

	@PostConstruct
	public void anyName() {
		if (postConstructCalled) {
			throw new IllegalStateException("PostConstruct method must only be invoked once");
		}
		this.postConstructCalled = true;
	}
	
	public boolean postConstructCalled() {
		return postConstructCalled;
	}

}
