package javax.ejb;


public interface SessionContext extends EJBContext
{
	EJBLocalObject getEJBLocalObject ()
		throws IllegalStateException;


	EJBObject getEJBObject ()
		throws IllegalStateException;


	/**
	 * New EJB3 method; not implemented yet.
	TimerService getTimerService ();
	 */


	/**
	 * New EJB3 method; not implemented yet.
	MessageContext getMessageContext ();
	 */


	/**
	 * Returns an instance of the business interface suitable for passing
	 * to other components. This is only valid for EJB3 session beans.
	 */
	Object getReference ();


	/**
	 * Returns an instance of the specified business interface suitable
	 * for passing to other components. This is only valid for EJB3 session
	 * beans. 
	 */
	Object getReference (Class iface);
	
	/**
	 * TODO actually on EJBContext as of EJB 3.0
	 * @param name 
	 * @return
	 */
	Object lookup(String name);
}
