package javax.interceptor;

import java.lang.reflect.Method;

public interface InvocationContext {
    public Object getTarget();
    public Method getMethod();
    public Object[] getParameters();
    public void setParameters(Object[] params);
    public java.util.Map<String, Object> getContextData();
    public Object proceed() throws Exception;
}
